Debian DLA-1445-3 : busybox regression update

High Nessus Plugin ID 111358

Synopsis

The remote Debian host is missing a security update.

Description

It was found that the security update of busybox announced as DLA-1445-1 to prevent the exploitation of CVE-2011-5325, a symlinking attack, was too strict in case of cpio archives. This update restores the old behavior.

For Debian 8 'Jessie', this problem has been fixed in version 1:1.22.0-9+deb8u4.

We recommend that you upgrade your busybox packages.

NOTE: Tenable Network Security has extracted the preceding description block directly from the DLA security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Upgrade the affected packages.

See Also

https://lists.debian.org/debian-lts-announce/2018/08/msg00003.html

https://packages.debian.org/source/jessie/busybox

Plugin Details

Severity: High

ID: 111358

File Name: debian_DLA-1445.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2018/07/27

Modified: 2018/08/03

Dependencies: 12634

Risk Information

Risk Factor: High

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:busybox, p-cpe:/a:debian:debian_linux:busybox-static, p-cpe:/a:debian:debian_linux:busybox-syslogd, p-cpe:/a:debian:debian_linux:busybox-udeb, p-cpe:/a:debian:debian_linux:udhcpc, p-cpe:/a:debian:debian_linux:udhcpd, cpe:/o:debian:debian_linux:8.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2018/08/03